#ifndef GOODS_H
#define GOODS_H

#include <string>

class Goods
{
    std::string name;
    double quantity; // by weight or by the piece
    std::string net_weight; // will contain values like "5мл" or "10г"
    double price_per_unit;
public:
    Goods(std::string name, double quantity, std::string net_weight, double price_per_unit);
    double calculate_total_price();

    std::string get_name();
    double get_quantity();
    std::string get_net_weight();
    double get_price_per_unit();

    void set_name(std::string);
    void set_quantity(double);
    void set_net_weight(std::string);
    void set_price_per_unit(double);
};

#endif // GOODS_H
